#!/bin/bash

if [ ! -d /var/cache/slint/lxqt/core ]; then
	mkdir /var/cache/slint/lxqt/core
fi
#libstatgrab 
#lxqt-wayland-session
core=(
lxqt-build-tools 
libqtxdg 
qtxdg-tools 
liblxqt 
libdbusmenu-lxqt 
libsysstat 
lxqt-menu-data 
libfm-extra 
menu-cache 
libfm-qt 
lxqt-themes 
pavucontrol-qt 
lxqt-about 
lxqt-admin 
lxqt-config 
lxqt-globalkeys 
lxqt-notificationd 
lxqt-openssh-askpass 
lxqt-policykit 
lxqt-powermanagement 
lxqt-qtplugin 
lxqt-session 
lxqt-sudo 
pcmanfm-qt
lxqt-panel 
muParser 
lxqt-runner 
lxqt-archiver 
xdg-desktop-portal-lxqt

)


for i in ${core[@]}; do
	cd sources/core/$i || exit 1
	sh $i.SlackBuild || exit 1
	upgradepkg --install-new --reinstall /var/cache/slint/lxqt/core/${i}*slint.txz || exit 1
	cd ../../..
done
